zuul failing for stx-config when installing python-ldap

Bug #1813668 reported by Al Bailey on 2019-01-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
High
Al Bailey

Bug Description

 Title
-----
stx-config sysinv tox jobs failing.

Brief Description
-----------------
stx-config sysinv tox jobs failing because setuptools 40.7.0 (released Jan 27, 2019) is not compatible with python-ldap 2.5.2 (released Nov 20, 2017)

Severity
--------
Blocks stx-config reviews from passing zuul and being merged, if their code is in sysinv.

Steps to Reproduce
------------------
Submit a change to any sysinv file and wait for zuul to fail.

Expected Behavior
------------------
zuul should pass (unless my code is no good)

Actual Behavior
----------------
zuul always fails py27, flake8, pylint jobs for sysinv

Reproducibility
---------------
Always

System Configuration
--------------------
N/A

Branch/Pull Time/Commit
-----------------------
After Jan 27, 2019

Timestamp/Logs
--------------
This was the commit that broke it in setuptools

https://github.com/pypa/setuptools/commit/24be5abd4cbd9d84537c457456f841522d626e14#diff-0f33d7d69d9f143736a252a75373261b

This is the stacktrace when trying to install python-ldap
Running setup.py (path:/tmp/pip-install-1bjbpM/python-ldap/setup.py) egg_info for package python-ldap
2019-01-28 15:57:43.279501 | ubuntu-xenial | Running command python setup.py egg_info
2019-01-28 15:57:43.279543 | ubuntu-xenial | Traceback (most recent call last):
2019-01-28 15:57:43.279586 | ubuntu-xenial | File "<string>", line 1, in <module>
2019-01-28 15:57:43.279652 | ubuntu-xenial | File "/tmp/pip-install-1bjbpM/python-ldap/setup.py", line 188, in <module>
2019-01-28 15:57:43.279685 | ubuntu-xenial | **setup_kwargs
2019-01-28 15:57:43.279769 | ubuntu-xenial | File "/tmp/zuul_sysinvtox/py27/local/lib/python2.7/site-packages/setuptools/__init__.py", line 144, in setup
2019-01-28 15:57:43.279811 | ubuntu-xenial | _install_setup_requires(attrs)
2019-01-28 15:57:43.279906 | ubuntu-xenial | File "/tmp/zuul_sysinvtox/py27/local/lib/python2.7/site-packages/setuptools/__init__.py", line 137, in _install_setup_requires
2019-01-28 15:57:43.279959 | ubuntu-xenial | dist.parse_config_files(ignore_option_errors=True)
2019-01-28 15:57:43.280063 | ubuntu-xenial | File "/tmp/zuul_sysinvtox/py27/local/lib/python2.7/site-packages/setuptools/dist.py", line 682, in parse_config_files
2019-01-28 15:57:43.280125 | ubuntu-xenial | self._parse_config_files(filenames=filenames)
2019-01-28 15:57:43.280217 | ubuntu-xenial | File "/tmp/zuul_sysinvtox/py27/local/lib/python2.7/site-packages/setuptools/dist.py", line 599, in _parse_config_files
2019-01-28 15:57:43.280274 | ubuntu-xenial | (parser.read_file if six.PY3 else parser.readfp)(reader)
2019-01-28 15:57:43.280333 | ubuntu-xenial | File "/usr/lib/python2.7/ConfigParser.py", line 324, in readfp
2019-01-28 15:57:43.280372 | ubuntu-xenial | self._read(fp, filename)
2019-01-28 15:57:43.280430 | ubuntu-xenial | File "/usr/lib/python2.7/ConfigParser.py", line 479, in _read
2019-01-28 15:57:43.280466 | ubuntu-xenial | line = fp.readline()
2019-01-28 15:57:43.280537 | ubuntu-xenial | File "/tmp/zuul_sysinvtox/py27/lib/python2.7/encodings/ascii.py", line 26, in decode
2019-01-28 15:57:43.280589 | ubuntu-xenial | return codecs.ascii_decode(input, self.errors)[0]
2019-01-28 15:57:43.280668 | ubuntu-xenial | UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 414: ordinal not in range(128)

Al Bailey (albailey1974) wrote :
Changed in starlingx:
assignee: nobody → Al Bailey (albailey1974)

Reviewed: https://review.openstack.org/633536
Committed: https://git.openstack.org/cgit/openstack/stx-config/commit/?id=3cc2f5e1fb70159473eefe4e5141db4eab8c92b0
Submitter: Zuul
Branch: master

commit 3cc2f5e1fb70159473eefe4e5141db4eab8c92b0
Author: Al Bailey <email address hidden>
Date: Mon Jan 28 09:50:25 2019 -0600

    Change version of python-ldap to work with new setuptools

    setuptools 40.7.0 does not work with python-ldap 2.5.2

    Added unit tests to verify the code calling the python-ldap
    functions.

    Closes-Bug: 1813668
    Change-Id: I1e5c0bb7ec603d4d2e03032282e268cb2189775d
    Signed-off-by: Al Bailey <email address hidden>

Changed in starlingx:
status: New → Fix Released
Download full text (7.9 KiB)

Reviewed: https://review.openstack.org/633788
Committed: https://git.openstack.org/cgit/openstack/stx-config/commit/?id=23f303132c9e69a16f2e0b1b63483c49fcfd11a1
Submitter: Zuul
Branch: f/stein

commit 3cc2f5e1fb70159473eefe4e5141db4eab8c92b0
Author: Al Bailey <email address hidden>
Date: Mon Jan 28 09:50:25 2019 -0600

    Change version of python-ldap to work with new setuptools

    setuptools 40.7.0 does not work with python-ldap 2.5.2

    Added unit tests to verify the code calling the python-ldap
    functions.

    Closes-Bug: 1813668
    Change-Id: I1e5c0bb7ec603d4d2e03032282e268cb2189775d
    Signed-off-by: Al Bailey <email address hidden>

commit c4f63232dc88bd8eae5698b104011cbc7d7f98ea
Author: Bart Wensley <email address hidden>
Date: Mon Jan 28 13:17:00 2019 -0600

    Ensure puppet dns config done after networking config

    In some labs, the puppet manifest application during
    config_controller results in the ::platform::network class
    being applied after the ::platform::dns class. This causes the
    /etc/resolv.conf file to be wiped (when the
    apply_network_config.sh is run by the ::platform::network
    class).

    The fix is to introduce a dependency to ensure that the
    networking config is completed before the dns config is done.

    Change-Id: Ie4a8b67e5eb3594f5c21e22f8014d2b8162a0758
    Related-bug: 1812449
    Signed-off-by: Bart Wensley <email address hidden>

commit de474bc41c2691ba86b60bb6e1088ddc382deaa3
Author: Bart Wensley <email address hidden>
Date: Thu Jan 24 16:33:41 2019 +0000

    Revert "Add docker proxy configuration for kubernetes".

    This change broke the installation of kubernetes system (config_controller --kubernetes) when no docker proxy was specified.

    This reverts commit e4086a073b7f661d4014061f25525120c27ea679.

    Change-Id: I8343741a50fa0857fde9dfe0ee8f81de80a0ff13

commit d96ce5291c78c371e132813a514a1fb6e0994850
Author: Bart Wensley <email address hidden>
Date: Thu Jan 24 07:22:05 2019 -0600

    Allow DNS server configuration for kubernetes

    In kubernetes deployments, a DNS server is required to locate
    the registry servers used to download the kubernetes images.
    Currently, when config_controller is run, the 8.8.8.8
    nameserver is used, with no way to change it. Some users
    need to specify their own name server to be used during
    the execution of config_controller.

    This change allows the user to specify up to three DNS
    servers when running config_controller interactively or with
    a config file. If using a config file, add the following
    section to the config file (only one nameserver is required,
    but up to three are allowed):

    [DNS]
    NAMESERVER_1=8.8.8.8
    NAMESERVER_2=8.8.4.4
    NAMESERVER_3=9.9.9.9

    Change-Id: I59556138a11c6f627f45886a2da6b8a1ad9d89e1
    Closes-bug: 1812449
    Signed-off-by: Bart Wensley <email address hidden>

commit f0b393f30952aa226976c33b9ff9241283fab207
Author: Kevin Smith <email address hidden>
Date: Thu Jan 17 07:09:35 2019 -0500

    Kubernetes Neutron VIM Host Management Ref...

Read more...

tags: added: in-f-stein
Ghada Khalil (gkhalil) on 2019-03-12
Changed in starlingx:
importance: Undecided → High
tags: added: stx.2019.05 stx.zuul
Ken Young (kenyis) on 2019-04-05
tags: added: stx.2.0
removed: stx.2019.05
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers